package de.ivu.elect.presentation.ergebnis.table;

import java.util.function.Function;

import de.ivu.elect.business.ergebnis.entity.GewinnerUnterlegenerStimmendifferenzSearchResult;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.jee.presentation.dynamictable.ColumnType;

/**
 *  on 02.06.2015.
 */
public class GewinnerUnterlegenerStimmendifferenzAbsolutColumn extends AbstractGewinnerUnterlegenerStimmendifferenzColumn {


  public GewinnerUnterlegenerStimmendifferenzAbsolutColumn(Messages messages) {
    super(messages);
  }

  @Override
  public Object getValue(GewinnerUnterlegenerStimmendifferenzSearchResult gewinnerUnterlegenerStimmendifferenzSearchResult) {
    return gewinnerUnterlegenerStimmendifferenzSearchResult.getDifferenzStimmenErsterZweiter();
  }

  @Override
  public String getHeader() {
    return getMessage("gewinner.unterlegener.stimmendifferenz.absolut");
  }

  @Override
  public ColumnType getType() {
    return ColumnType.LONG;
  }
}
